## sdlip.examples
Class SwitchBoard

    java.lang.Object
      |
      +--sdlip.examples.SwitchBoard

public class SwitchBoard
extends java.lang.Object

This is an auxiliary class internally used by the SimpleBoardLSP application.

Field Summary
`static QName` `ADDRESS`
`static QName` `NAME`
`static java.lang.String` `Namespace`
`static QName` `PHONE`

Constructor Summary
`SwitchBoard(java.lang.String query)` Format: [first-name] last-name
`SwitchBoard(java.lang.String firstName, java.lang.String lastName)`
`SwitchBoard(java.lang.String firstName, java.lang.String lastName, java.lang.String cityName, java.lang.String stateName)` Initialize search

Method Summary
`void` `getDocs(org.w3c.dom.Element eSearchResult, RangeEnumerator range, org.w3c.dom.Element eDocProps)`
`int` `getNumDocs()`
`void` `interrupt()`
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Namespace

    public static final java.lang.String Namespace

See Also:
  Constant Field Values

### NAME

    public static final QName NAME

### ADDRESS

    public static final QName ADDRESS

### PHONE

    public static final QName PHONE

Constructor Detail

### SwitchBoard

    public SwitchBoard(java.lang.String firstName,
                       java.lang.String lastName,
                       java.lang.String cityName,
                       java.lang.String stateName)

  Initialize search

### SwitchBoard

    public SwitchBoard(java.lang.String firstName,
                       java.lang.String lastName)

### SwitchBoard

    public SwitchBoard(java.lang.String query)

  Format: [first-name] last-name

Method Detail

### getDocs

    public void getDocs(org.w3c.dom.Element eSearchResult,
                        RangeEnumerator range,
                        org.w3c.dom.Element eDocProps)
                 throws SDLIPException

    `SDLIPException`

### getNumDocs

    public int getNumDocs()

### interrupt

    public void interrupt()

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`